apiVersion: v1
kind: Secret
metadata:
  name: content-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.content.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.content.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.content.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.content.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.content.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.content.configs.mongodbPort | toString | b64enc }}
  MONGODB_URI: {{ .Values.content.configs.mongodbUri | b64enc | quote }}
  FREELEAPS_WWW_AS_AZURE_CLIENT_SECRET: {{ .Values.content.configs.freeleapsWwwAsAzureClientSecret | b64enc | quote }}
  CENTRAL_STORAGE_WEBAPI_URL_BASE: {{ .Values.content.configs.centralStorageWebapiUrlBase | b64enc | quote }}
  